Bug 232929 - kmymoney: All menus and actions disabled
Summary: kmymoney: All menus and actions disabled
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kmymoney2   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 15:11 UTC by info
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-21 14:56:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description info 2007-03-19 15:11:48 UTC
Description of problem:

With the update to 0.8.6. suddenly everything in Kmymoney (all menu items, all 
views) are completely disabled, i.e. greyed out, and don't allow any kind of 
action. All the accounts are there, and in the ledger view I can see the last 
transactions, so it seems to read the file ok, but I can't edit anything, move 
to a different account, or do anything else.

The problem occurred with the automatic update to kmymoney 0.8.6 (from Fedora 
Extras repository). When I uninstall it and install the previous version 0.8.5 
it works again.

Version-Release number of selected component (if applicable):

kmymoney2-0.8.6-1.fc6

How reproducible:

Always.

Steps to Reproduce:
1. Start Kmymoney
  
Actual results:

Almost all menu items (except for save/open, settings and help) are greyed 
out, and all accounts, transactions, reports etc in the different views are 
greyed out. 

Expected results:

Obvous.

Additional info:

I'm happy to provide more info, but I don't know where to start.

Comment 1 Rex Dieter 2007-03-19 15:25:18 UTC
Hrm, seems to work ok for me.  

Could you provide a kmymoney data file that exhibits that bad behavior? 
(sending to me privately is ok, if you don't feel comfortable attaching it here).

Comment 2 Rex Dieter 2007-03-19 15:26:39 UTC
Ah, I'm on i386, not x86_64.  Maybe that has something to do with it.  ??
Regardless, I'd be interested in the datafile still.

Comment 3 Rex Dieter 2007-03-21 12:50:23 UTC
Thanks for the anonymized version of your .kmy data file, I can confirm the
problem as described (on i386).

Looks like a problematic .kmy data file or regression.

Would you be willing to provide the file to the upstream developer's so that
they can take a look at it?



Comment 4 Rex Dieter 2007-03-21 14:56:33 UTC
upstream is aware and working on it, closing.


Note You need to log in before you can comment on or make changes to this bug.